#include "fileinformation.h"
#include <wx/filefn.h>

FileInformation::FileInformation(
	const wxString &fileName,
	const wxString &url,
	const wxString &path
	)
	:
	fileName(fileName),
	url(url),
	path(path),
	downloading(false),
	downloadFailed(false)
{
}

bool FileInformation::localTmpFileExists()
{
	return wxFileExists(path + fileName + ".tmp");
}

void FileInformation::renameTmpFile()
{
	wxRenameFile(path + fileName + ".tmp", path + fileName);
}
